
From: Marko Kohtala <marko.kohtala@gmail.com>

Add missing "struct" keyword preventing compilation with DEBUG_PARPORT
defined.  Also add some "const".

Signed-off-by: Marko Kohtala <marko.kohtala@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/parport_pc.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/linux/parport_pc.h~parport-debug_parport-build-fix include/linux/parport_pc.h
--- 25/include/linux/parport_pc.h~parport-debug_parport-build-fix	Wed Sep  7 14:38:33 2005
+++ 25-akpm/include/linux/parport_pc.h	Wed Sep  7 14:38:33 2005
@@ -85,8 +85,8 @@ extern __inline__ void dump_parport_stat
 	unsigned char ecr = inb (ECONTROL (p));
 	unsigned char dcr = inb (CONTROL (p));
 	unsigned char dsr = inb (STATUS (p));
-	static char *ecr_modes[] = {"SPP", "PS2", "PPFIFO", "ECP", "xXx", "yYy", "TST", "CFG"};
-	const struct parport_pc_private *priv = (parport_pc_private *)p->physport->private_data;
+	static const char *const ecr_modes[] = {"SPP", "PS2", "PPFIFO", "ECP", "xXx", "yYy", "TST", "CFG"};
+	const struct parport_pc_private *priv = (struct parport_pc_private *)p->physport->private_data;
 	int i;
 
 	printk (KERN_DEBUG "*** parport state (%s): ecr=[%s", str, ecr_modes[(ecr & 0xe0) >> 5]);
_
